#ifndef _Jytky_HPP_
#define _Jytky_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"

	
class Jytky : public Base
{
	public:

		Jytky();
		~Jytky();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
		void renderScene(float pos, float alpha);

		T3DVBO *model;

		Mesh *taustaMesh;

		int pcount;
		Vector *effut;
};

#endif
